# /jobs/{id}

## Get Job Status

<mark style="color:blue;">`GET`</mark> `http://waveline.ai/api/v1/jobs/{id}`

Request all information about a specific job.

#### Path Parameters

| Name                                 | Type   | Description                    |
| ------------------------------------ | ------ | ------------------------------ |
| id<mark style="color:red;">\*</mark> | String | The id of the job to retrieve. |

#### Headers

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | `Bearer <YOUR_API_KEY>` |

{% tabs %}
{% tab title="200: OK Response that contains all necessary information about your job." %}

```typescript
{
    "id": string,
    "createdAt": string,
    "status": string, // CREATED, RUNNING, FAILED, COMPLETED
    "type": string, // the type of job (e.g. "guess-shape")
    "pages": number, // the number of billed pages
    "fileName": string,
    "result": {...} | null, // The result of your job.
    "urls": {
        "get": string // Query this URL to get the status/result of your job
    }
}
```

{% endtab %}

{% tab title="404: Not Found No job with the provided id could be found." %}

```typescript
{
    "error": string
}
```

{% endtab %}

{% tab title="401: Unauthorized Provided API key is not valid." %}

```typescript
{
    "error": string
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server error. Please report this to us at <team@waveline.ai>" %}

```typescript
{
    "error": string
}
```

{% endtab %}

{% tab title="400: Bad Request id is missing." %}

```typescript
{
    "error": string
}
```

{% endtab %}
{% endtabs %}

## Example Usage

After creating a job (either through the [extract-document](/extract/endpoints/extract-document.md) or [guess-shape](/extract/endpoints/guess-shape.md) endpoint), you can check its status with a GET request. If the job is finished, the result will be in the `result` field of the returned JSON.

```bash
curl "https://waveline.ai/api/v1/jobs/a5ecc735-c48e-43ea-a739-d42bfb19edb3" \
     -H "Authorization: Bearer YOUR_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.waveline.ai/extract/endpoints/jobs-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
